import argparse


def get_args():
    parser = argparse.ArgumentParser()

    parser.add_argument("--endpoint", default="https://hatecomputers.club")
    parser.add_argument("--api-key-file", default="apikey.secret")
    parser.add_argument("--records-file", default="records.json")
    parser.add_argument(
        "--log-level",
        default="INFO",
        choices=["DEBUG", "INFO", "WARNING", "ERROR", "CRITICAL"],
    )

    parser.add_argument("--certbot", action="store_true", default=False)
    parser.add_argument("--acme-url", required=True)
    parser.add_argument("--acme-storage", default="acme.json")

    parser.add_argument("--sync", action="store_true", default=False)

    return parser.parse_args()
